- name: Setup SSH Server on host
  hosts: all
  become: true
  user: '{{ ssh.user }}'
  vars:
    config_path: /etc/ssh/sshd_config
  tasks:
  - name: Reduce to one PasswordAuthentication line
    replace:
      path: '{{ config_path }}'
      after: 'PasswordAuthentication'
      regexp: '^(.*)PasswordAuthentication(.*)$'
      replace: ''
  - name: Set PasswordAuthentication to no
    lineinfile:
      path: '{{ config_path }}'
      regexp: '^(.*)PasswordAuthentication(.*)$'
      line: 'PasswordAuthentication no'
    notify:
    - restart sshd

  - name: Reduce to one PermitRootLogin line
    replace:
      path: '{{ config_path }}'
      after: 'PermitRootLogin'
      regexp: '^(.*)PermitRootLogin(.*)$'
      replace: ''
  - name: Set PermitRootLogin to no
    lineinfile:
      path: '{{ config_path }}'
      regexp: '^(.*)PermitRootLogin(.*)$'
      line: 'PermitRootLogin no'
    notify:
    - restart sshd

  handlers:
  - name: Restart sshd
    service:
      name: sshd
      state: restarted